<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-users-userName%3AGET</id>
		<title>Accounts-accountId-users-userName:GET - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-users-userName%3AGET"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-users-userName:GET&amp;action=history"/>
		<updated>2026-05-04T17:43:51Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-users-userName:GET&amp;diff=1129&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 90</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-users-userName:GET&amp;diff=1129&amp;oldid=prev"/>
				<updated>2014-01-31T18:23:38Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 90&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 18:23, 31 January 2014&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-users-userName:GET&amp;diff=1128&amp;oldid=prev</id>
		<title>Dinh.anh: /* Status Code */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-users-userName:GET&amp;diff=1128&amp;oldid=prev"/>
				<updated>2013-11-14T15:18:42Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;Status Code&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= GET /accounts/{accountId}/users/{userName} =&lt;br /&gt;
Return the details of one specific user&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{accountId}/users/{userName}&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
;accountId - ''string''&lt;br /&gt;
: The Id of the account&lt;br /&gt;
;userName - ''string''&lt;br /&gt;
: The username of the user to retrieve&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success&lt;br /&gt;
;304 Not changed&lt;br /&gt;
: The user details haven't changed since the last request; the client should use its locally cached copy&lt;br /&gt;
;401 Unauthorized&lt;br /&gt;
: Authentication failed&lt;br /&gt;
;403 Forbidden&lt;br /&gt;
: Authentication succeeded, but the authenticated user is not allowed to view this user resource. The only authenticated users allowed to view this user resource are ''this very user'', the account owner(s) of ''this'' account, and sales/support agents, the user which authorization credentials match the requested user's credentials. An account owner is a user within the account that has the role &amp;quot;sitecontrol_account_owner&amp;quot;.&lt;br /&gt;
;404 Not found&lt;br /&gt;
: Either the account or the requested user does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;userName&amp;quot;: &amp;quot;{userName}&amp;quot;,&lt;br /&gt;
  &amp;quot;securityQuestion&amp;quot;: &amp;quot;{securityQuestionCode}&amp;quot;,&lt;br /&gt;
  &amp;quot;roles&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/{accountId}/users/{userName}/roles&amp;quot;,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/{accountId}/users/{userName}&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
;accountId&lt;br /&gt;
: The ID of the account&lt;br /&gt;
;userName&lt;br /&gt;
: The username of this user&lt;br /&gt;
;securityQuestionCode&lt;br /&gt;
: The security question code of this user (this will be used to refer to a list of security questions)&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Dinh.anh</name></author>	</entry>

	</feed>